# TextFileSender Class Reference

Inheritance diagram for TextFileSender:
[legend]

List of all members.

## Public Member Functions

| setQueue (MessageQueue $queue)
| getQueue ()
| send (Message $message)

## Static Public Member Functions

static | create ()

## Private Member Functions

| getStream ()

## Private Attributes

| $queue = null
| $stream = null

## Detailed Description

Definition at line 12 of file TextFileSender.class.php.

## Member Function Documentation

static TextFileSender::create | ( |  | ) | `[static]`

Definition at line 17 of file TextFileSender.class.php.

Referenced by getStream().

TextFileSender::getQueue | ( |  | ) |

Returns:
  MessageQueue

Implements MessageQueueSender.

Definition at line 34 of file TextFileSender.class.php.

TextFileSender::getStream | ( |  | ) | `[private]`

Definition at line 52 of file TextFileSender.class.php.

References create(), and Assert::isNotNull().

Referenced by send().

Here is the call graph for this function:

TextFileSender::send | ( | Message $ | message | ) |

Returns:
  MessageQueueReceiver

Implements MessageQueueSender.

Definition at line 39 of file TextFileSender.class.php.

References getStream(), Message::getTimestamp(), and Assert::isInstance().

Here is the call graph for this function:

TextFileSender::setQueue | ( | MessageQueue $ | queue | ) |

Definition at line 22 of file TextFileSender.class.php.

References Assert::isInstance().

Here is the call graph for this function:

## Member Data Documentation

TextFileSender::$queue = null`[private]`

Definition at line 14 of file TextFileSender.class.php.

TextFileSender::$stream = null`[private]`

Definition at line 15 of file TextFileSender.class.php.

The documentation for this class was generated from the following file:

- main/Messages/TextFileSender.class.php